BLAS/SRC/cdotc.f(3)

NAME
BLAS/SRC/cdotc.f

SYNOPSIS

  Functions/Subroutines
complex function cdotc (n, cx, incx, cy, incy)
CDOTC

Function/Subroutine Documentation

  complex function cdotc (integer n, complex, dimension(*) cx, integer incx, complex, dimension(*) cy, integer incy)

CDOTC

Purpose:

    !>
    !> CDOTC forms the dot product of two complex vectors
    !>      CDOTC = X^H * Y
    !>
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    CX

    !>          CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of CX
    !>

    CY

    !>          CY is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCY ) )
    !>

    INCY

    !>          INCY is INTEGER
    !>         storage spacing between elements of CY
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack,  3/11/78.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 82 of file cdotc.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.